#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ([2.57])

#---------------------------------------------------------
AC_INIT([mst-ots-build],[1.1.22],[opticsoft@head.cfa.harvard.edu],[mst-ots-build])
AC_CONFIG_SRCDIR([lib/mst-ots-build.in])
AC_CONFIG_MACRO_DIRS([m4])
AC_CONFIG_AUX_DIR([build-aux])
AM_INIT_AUTOMAKE([ check-news subdir-objects silent-rules color-tests parallel-tests ])

AC_PROG_INSTALL
AC_SUBST([pkglibdir],[${libdir}/${PACKAGE}.d])

MST_DEV_INIT
MST_POD_GEN_DOCS
MST_DOSUBST

PKG_CHECK_MODULES( mst_ots_build,
	           [ ots-build ])

#---------------------------------------------------------
# generate files from .in files.
AC_CONFIG_FILES([
        Makefile
        docs/mst-ots-build.5.pod
])
AC_CONFIG_FILES( [src/mst-build-autoconf], [chmod +x src/mst-build-autoconf] )
AC_CONFIG_FILES( [src/mst-ots-build-perlmodule], [chmod +x src/mst-ots-build-perlmodule] )
AC_OUTPUT
